it-swarm.com.de

Python-Paket installieren: "Paket fehlt in aktuellen Win-64-Kanälen"

Ich möchte GSEApy auf Anaconda installieren (ich benutze 64 Bit Windows 10).
https://bioconda.github.io/recipes/gseapy/README.html
https://anaconda.org/bioconda/gseapy

Aber ich bekomme diesen Fehler:

C:\Windows\system32>conda install gseapy

Using Anaconda Cloud api site https:// api.anaconda.org
Fetching package metadata ...........
Solving package specifications: .
Error: Package missing in current win-64 channels:
  - gseapy

You can search for packages on anaconda.org with
anaconda search -t conda gseapy

Wie kann ich das lösen?

19
Benni

Sie müssen einen Kanal mit einer Win-64-Version verwenden. Benutzen:

conda install -c bioninja gseapy

Die Option -c oder --channel ermöglicht die Angabe eines Kanals ..__ Sie können einen Kanal auch dauerhaft hinzufügen über:

conda config --add channels bioninja

Dies erstellt eine Datei .condarc in Ihrem Home-Verzeichnis (unter Windows C:\Users\<username>): 

channels:
  - bioninja
  - defaults

Sie können diese Datei manuell ändern. Die Reihenfolge der Kanäle bestimmt Ihre Priorität. 

Note: Dateien mit einem führenden . werden von bestimmten Dateibrowsern möglicherweise nicht angezeigt Möglicherweise müssen Sie die Einstellungen ändern, um diese -Dateien entsprechend anzuzeigen.

Sie können herausfinden, ob ein Paket für Ihre Plattform existiert, indem Sie auf Anaconda suchen. Geben Sie einfach gseapy in das Suchfeld ein und Sie sollten die verfügbaren verfügbaren Pakete sehen. Die Spalte "Plattformen" zeigt an, ob eine "win-64" -Version vorhanden ist.

 enter image description here

22
Mike Müller

Überprüfen Sie die neueste Version von Keras auf der Anaconda-Website

https://anaconda.org/search?q=keras

Befehl verwenden:

conda install -c conda-forge keras=<version>
1
Prakhar Agarwal

Jetzt können Sie auch die neueste Version von Bioconda installieren 

conda install -c bioconda gseapy 
1
xninja

Möglicherweise müssen Sie eine detaillierte Version angeben, sodass Sie in Anaconda Clound nur eine Version finden können, die Ihre Umgebung unterstützt, eine Befehlszeile wie "conda install -c dhirschfeld protobuf = 3.0.0a3.post418 + g0cb84ee" und es funktioniert.

0
Dartagnan